package domain

type UserRepository interface {
	CreateGoogleUser(googleUserInfo *GoogleUserInfo, googleRefreshToken string) (User, error)
	GetGoogleUser(googleId string) (*User, error)
	GetUser(id int) (*User, error)
}
